Copyright: Copyright ® by AARDVARK Software, 1995


Contents

Pretty Printer Overview

Main Screen and Controls

File Menu (miscellaneous entries)

Project Window

Printing Options

Page Layout

Options Menu

Selecting Display and Print Colors

Selecting Display and Print Fonts

File Extensions

Formatting Options

Viewing Options

Troubleshooting - Technical Support

License Agreement and Limited Product Warranty

Help Menu


Pretty Printer Overview
Program Overview:

Together, Pretty Printer and You - the Visual Basic programmer, have the capability to produce the most professional listings in the business.

Pretty Printer is 100% Visual Basic® code, and demonstrates the enormous power Visual Basic brings to the Windows™ developer. At the same time, Pretty Printer expands and strengthens Visual Basic's code printing capabilities with a host of new features.

Pretty Printer's black and white output is crisp, neat, and very readable. Selected code segments can be highlighted using the program's "grayscale like" background feature. Whether you use a laser, ink jet or dot matrix, Aardvarks renowned print utility will produce a listing you will be proud to display.

Using a color capable printer, Pretty Printer will produce code listings that highlight Visual Basic's keywords, user variables, comments, literals, and page headings - each in a different color.

Pretty Printer gives you a wide choice of fonts and styles to further professionalize your output. You may arrange the page layout to fit your needs, including setting margins, indentations, columns, page headings, and page breaks. Connectors may be inserted to bracket your loop and logic code statements, making it easier to find errors or to mark reusable code. This printing utility is what you have needed to catch that hard to track down bug, or to impress that very important client.

While Pretty Printer was designed for use with Visual Basic 3.0, it will produce enhanced listings for earlier versions of Visual Basic - as well as other Basic dialects. The program is compatible with most printers supported by Windows. In that regard, the information in this help file presumes the reader is knowledgeable of the Windows and Visual Basic standard conventions. If you are new to either, we strongly recommend you become familiar with the appropriate user's guide(s).

Note: Print Speed. Although Pretty Printer supports most font technologies, you can increase print speed by printing with "printer fonts" over "software fonts."

Pretty Printer prints ASCII text files. The Visual Basic Programmer's Guide outlines the very real advantages of saving your code files in text format, and is worth reading. To get your code into text format do one of the following:

(1) For a new project, go to the Visual Basic Options Menu - Environment Dialog Box. Select the option to save all of your project's code in text format. (2) To convert existing code files saved in binary format, go to the Visual Basic File Menu, and select the Save File As entry. When the dialog box appears, check the Save as Text box, then save the file using standard Windows conventions. (3) If you do not want to convert all of your code files to text format, you may use the File Menu - Save Text menu item to save a copy of any individual file for use with Pretty Printer.

To print a chosen project or file, merely open the print utility. After the "About Notice" has cleared the screen, an Open File Common Dialog Box will appear. Select the project or file you wish to load, then click the "OK" button. To print immediately using the program's default settings, and the Windows default printer, click on the File Menu and select Print. A print option box will appear, make your selection and click "OK". That's all there is to it!

To refine the printed output, click on the Color, Font or Format items from program's Option Menu; or select Page Layout from the File Menu. To get a better understanding of these, and other features supported by Pretty Printer, use the Help Search Utility, the Contents screen for this file, or press F1 for context-sensitive help.

Visual Basic, Windows and Microsoft are registered trademarks of the Microsoft Corporation. Aardvark Software and Pretty Printer are  trademarks of Aardvark Software, Inc.


Main Screen and Controls
Main Screen and Controls:

Pretty Printer Main Display Screen

File Control: If you have loaded a project, or loaded more then one individual file, you may use the File Control to view the next or previous file. To move to the next file, click on the right (>) arrow. To return to a previous file, click on the left (<) arrow. If either the left or right control is dimmed rather then black, then there are no files present or remaining in that direction.

Note: File Loading Time. The time it takes to load a file or project in Pretty Printer is directly related to the amount of parsing required, which is generally related to the size of the file or project.

Proc (Procedure) Control: You may use the Proc Control to view the next or previous procedure. To move to the next procedure, click on the right (>) arrow. To return to a previous procedure, click on the left (<) arrow. If either the left or right control is dimmed, then there are no procedures present or remaining in that direction.

Procs (Procedures) List Box: To select a particular procedure to view, click on the arrow for the Procs List Box. If the procedure you wish to view is not shown, click on the ellipses at the bottom of the list box and additional procedures will appear.

Record Number: The Record Number caption denotes the first line of code in the Display Area.

Display Area: The Display Area shows the code corresponding to the procedure title shown in the Procs List Box, and further corresponding to the code line number denoted in the Record Number caption. To change the display colors, fonts, or format click on the desired item from the Options Menu.

Vertical Scroll Control: Using standard Windows conventions, you may use this control to view any line of code from the open file.  Scrolling performance (speed) is generally dependent on your installed hardware, and to a lesser degree dependent on the file size and program options selected.


Project Window
Project Window:

This File Menu item is dimmed unless you load a "MAK" file from the Open Common Dialog Box. In which case, clicking on this menu item will display the Project File screen. Here the contents of the "MAK" file are displayed in three text boxes.

NOTE: If one or more of your code files are in binary format, a message will be displayed informing you of the fact, and suggesting actions that will allow Pretty Printer to view and print the subject file(s) code.

Pretty Printer Project Window

Code/Form Files: The code files ("FRM" and "BAS") that make up your project are displayed in this list box.

Miscellaneous/Other: Binary files, help files, graphic files, and "MAK" file info are displayed in this list box.

Custom Controls: A listing of custom control files used in your project are displayed in this list box.

The Project File form cannot be closed. It may be hidden by clicking on the "Hide" button; and once hidden, may be recalled by clicking on the Window menu, and selecting the Project Window item.

The other command-buttons do the following: "OK" is the same as double-clicking on the Code/Form File list-box - it makes the selected file the current file, and switches focus to the main form. Clicking on the "Help" button is the same as pressing the F1 function key; both load this Help file, opened to this topic.


File Menu
File Menu (miscellaneous entries):

Open:  Selecting this menu item causes the Open Common Dialog Box to appear.  The default extensions are "BAS", "FRM" and "MAK".  Using standard Windows conventions, select the project or file(s) you wish to load.   Multiple code and / or form files may be opened, but only one project may be loaded at any given time.

Close : Clicking on this menu item closes the file currently displayed in the Display Area

Close All : Clicking on this menu item closes all loaded files.

Exit : Clicking on this menu item closes Pretty Printer and this help file.

Project Files: If you have opened a "MAK" file from the Open Common Dialog Box, the individual non-project files will be listed at the bottom of the file menu. Clicking on any one of then will load that file into the Display Area.


Print Options
Printing Options:

Print :

Current File (default): Click on this option button to print the file in the Display Area.

All Files: Click on this option button to print all loaded files.

Proc (Procedure) Contents: Prints a Table of Contents based on the titles listed in the Procs (Procedures) List Box.

Selected Procs (Procedures): Click on this control button to display a list of the procedures for the displayed file. Click on the "All" button to print all procedures listed. Click on the "None" button to clear previous selections, or to change a selection. Use Windows conventions to select the procedures to be printed directly from the list box. When selections are made, click the "OK" button.

Print Setup: Selecting this menu item causes a print dialog box to appear. The current default printer is displayed at the bottom the dialog box. Use the dialog box to select the printer and printer options you desire Pretty Printer to use. Using the Print Setup option causes a blank page to be printed, and the selected printer to become the system default printer. We apologize for this unavoidable inconvenience.

Print Contents: Prints a Table of Contents based on procedure titles listed in the code file. Page numbers will be printed on the contents page if Pretty Printer has printed the file during the current session.

Print Project Contents: Print Project Contents: If you have loaded a complete Visual Basic project, clicking on this menu item causes all procedure titles to be printed for each file. If no project file has been loaded, this menu item is dimmed.

Note: By default Visual Basic sequences module procedures in alphanumeric order until the module reaches some indeterminate size. At that point Visual Basic adds new module procedures to the top of the list. Pretty Printer prints code and Table of Contents entries in the order encountered.


Page Layout
Page Layout:

   Pretty Printer Page Layout Dialog Box

Margin Boxes:

Top: The default setting is letter size paper (8½ x 11 inches, 210 x 297 mm) with a portrait orientation is one inch (25.4 mm). The top and bottom margins combined may not exceed ten inches (254 mm). To change the current margin, highlight the entry in the top margin text box, then enter a new value from the keyboard. If your printer supports a landscape option, Pretty Printer will print code files with a landscape orientation. The margin defaults are the same.

Left: The default setting is letter size paper (8½ x 11 inches, 210 x 297 mm) with a portrait orientation is one inch (25.4 mm). Valid entries are 0 to 7 inches (177.8 mm). To change the current margin, highlight the entry in the left margin text box, then enter a new value from the keyboard. If your printer supports a landscape option, Pretty Printer will print code files with a landscape orientation. The margin defaults are the same.

Right: The default setting is letter size paper (8½ x 11 inches, 210 x 297 mm) with a portrait orientation is one inch (25.4 mm). Valid entries are 0 to 7 inches (177.8 mm). To change the current margin, highlight the entry in the right margin text box, then enter a new value from the keyboard. If your printer supports a landscape option, Pretty Printer will print code files with a landscape orientation. The margin defaults are the same.

Note: If one or more margin entries exceed the maximum value allowed, the "OK" button will not function until the entry is corrected. A message will appear at the bottom of the form, noting the problem.

Bottom: The default setting is letter size paper (8½ x 11 inches, 210 x 297 mm) with a portrait orientation is one inch (25.4 mm). The top and bottom margins combined may not exceed ten inches (254 mm). To change the current margin, highlight the entry in the bottom margin text box, then enter a new value from the keyboard. If your printer supports a landscape option, Pretty Printer will print code files with a landscape orientation. The margin defaults are the same.

The current default printer is displayed midway down the form. If the printer shown is not the printer you wish to use when printing, click on the Cancel Button, then select Print Setup from the File Menu and change to the desired printer.

Headings:

Sample 1, All Options Selected

C:\BASIC\BASIC.FRM	Dated: 3/3/94 08:38 PM

Page 2	Printed: 3/4/94 09:43 AM

NextCmd_Click

Sample 2, File & Proc Names, Current Date Selected

C:\BASIC\BASIC.FRM

Page 2	Printed: 3/4/94 09:43 AM

NextCmd_Click

Sample 3, Procedure Name Selected

Page 2

NextCmd_Click

Sample 4, No Option Selected

Page 2

Pretty Printer listing header samples. Default -all options selected.

File Name: If an "x" appears within this check box, the current file name will be included in the listing header. To remove or restore the default setting, click on this check box.

Full Path (default): If an "x" appears within both the File Name check box and within this check box, the full path will be included with the file name in the listing header. To remove or restore the default setting click on this check box.

File Date (default): If an "x" appears within both the File Name check box, and within this check box, the date/time of the last file change will be included with the file name in the listing header. To remove or restore the default setting click on this check box.

Current Date (default): If an "x" appears within this check box, today's date will appear in the listing header. To remove or restore the default setting click on this check box.

Proc (Procedure) Name (default): If an "x" appears within this check box, the procedure title will be included in the listing header as it appears in the Procs (Procedures) List Box. To remove or restore the default setting click on this check box.

The current default printer is displayed midway down the form. If the printer shown is not the printer you wish to use when printing, click on the Cancel Button, then select Print Setup from the File Menu and change to the desired printer.

Columns (inches):

Number of: To print your code in columns enter a value greater than one (default) in the box provided.  The default value (1) causes Pretty Printer to treat the entire page as one column.

Width: Considering the page width, and the number of columns you entered above, enter the column width in the box provided.  To use this option, the number of columns must be greater than one.

Spacing: Spacing equates to the white space between the columns. To use this option, the number of columns must be greater than one.

Separator(default): Pretty Printer prints a solid line between columns.  If you do not want this option clear the "x" from the box.

Note: If the spacing or the width entry exceed the maximum value allowed, the "OK" button will not function until the entry is corrected. A message will appear at the bottom of the form, noting the problem.


Selecting Display and Print Colors
Option - Selecting Display and Print Colors:

    Pretty Printer Color Option Screen

To change the default color settings, click on the Option Menu, then select Color. A color option screen will appear. The current default printer is displayed midway down the form. If the printer shown is not the printer you wish to use when printing the Project File, click on the Cancel Button, then select Print Setup from the File Menu and change to the desired printer.

The current screen and printable foreground - background colors are shown under the headings "Display" and "Print". To change a given foreground or background color, double click on the appropriate color bar under the "Display" or "Print" column. The selected color bar will be annotated with the word "SELECTED", and a color palette will appear. Select a standard color by clicking on the color square of your choice; or, develop a custom color using standard Windows™ conventions. When satisfied with your choice, click on the "OK" button. The color palette will close, and the color bar you selected will now reflect the new color. When you have completed all the desired changes, click on the "OK" button to save the changes and return to the main screen.

If you have a black and white printer, consider using shades of gray in the background to highlight keywords or comments. The "grayscale like effect" may even be used in the foreground to your benefit. A little experimentation will yield satisfying results.

Use caution in selecting colors. A dark foreground color used with a dark background color will make the text difficult to read. Using the same color for both foreground and background will effectively hide the text. You may observe the effects of you choices in the sample text boxes at the bottom of the color option screen. You may retrieve the last saved color scheme at any time by clicking on the restore button.

Settings:

Comments Background: The default is white.

Comments Foreground: The default is green.

Identifiers Background: The default is white.

Identifiers Foreground: The default is black.

KeyWords Background: The default is white.

KeyWordsForeground: The default is blue.

Literals Background: The default is white.

Literals Foreground: The default is black.

Page Head(er)s Background: The default is white.

Page Head(er)s Foreground: The default is black.

Project File Background: The default is white.

Project File Foreground: The default is black.


Selecting Display and Print Fonts
Option - Selecting Display and Print Fonts:

Pretty Printer Font Option Screen

To change the default font settings, click on the Option Menu, then select Font. A Font option screen will appear. To change the default color settings, click on the Option Menu, then select Color. A color option screen will appear. The current default printer is displayed midway down the form. If the printer shown is not the printer you wish to use when printing the Project File, click on the Cancel Button, then select Print Setup from the File Menu and change to the desired printer.

The current screen and print fonts are shown under the headings "Display" and "Print". To change a given font, double click on the appropriate font entry. A font dialog box will appear. Select the new font using standard Windows conventions. When making your selection consider printer built-in fonts. The use of these fonts will speed printing.

The sample boxes at the bottom of the form displays exactly how your selections will appear. When you have completed all the desired changes, click on the "OK" button to save the changes and return to the main screen. You may retrieve the last saved font settings at any time by clicking on the restore button.

Settings:

Comments: The display default is the current screen font, italic. The print default is Courier, Italic. If there is no Courier font on your system that supports the current default printer, a warning message will be displayed after you click the form "OK" button. The message will describe the problem, and outline how you may take corrective action. Pretty Printer will not print until a new font has been selected.

Identifiers: The display default is the current screen font. If there is no Courier font on your system that supports the current default printer, a warning message will be displayed after you click the form "OK" button. The message will describe the problem, and outline how you may take corrective action. Pretty Printer will not print until a new font has been selected.

KeyWords: The display default is the current screen font, bold. The print default is Courier, bold. If there is no Courier font on your system that supports the current default printer, a warning message will be displayed after you click the form "OK" button. The message will describe the problem, and outline how you may take corrective action. Pretty Printer will not print until a new font has been selected.

Literals: The display default is the current screen font. The print default is Courier. If there is no Courier font on your system that supports the current default printer, a warning message will be displayed after you click the form "OK" button. The message will describe the problem, and outline how you may take corrective action. Pretty Printer will not print until a new font has been selected.

Page Head(er)s: The display default is the current screen font, bold. The print default is Courier, bold. If there is no Courier font on your system that supports the current default printer, a warning message will be displayed after you click the form "OK" button. The message will describe the problem, and outline how you may take corrective action. Pretty Printer will not print until a new font has been selected.

Project File: The display default is the current screen font, bold. The print default is Courier, bold. If there is no Courier font on your system that supports the current default printer, a warning message will be displayed after you click the form "OK" button. The message will describe the problem, and outline how you may take corrective action. Pretty Printer will not print until a new font has been selected.


File Extensions
Option -File Extensions:

Pretty Printer File Extension Option Screen

Click on this menu item to display the three extension combo boxes. The listed extensions appear as defaults in the File Open Common Dialog Box. The default entries are "BAS", "FRM" and "MAK". You may assign new extensions. Example: Add the "TXT" extension when Constant.txt is used in your project. You may add an extension by typing it in the combo box(es) provided, then depressing the Enter key. You may remove an extension by highlighting it with the mouse, then depressing the Delete Key.


Formatting Options
Option - Formatting Options:

To change the current screen and/or print page format settings, click on the Option Menu, then select Format. A format option screen will appear with the following choices:

    Pretty Printer Format Option Screen

Procs (Procedures):

Line Separator(default): Click on the check box under the Display - Print heading if you wish each procedure (function or sub) to be separated by a horizontal line break on the screen or printed page.

Bold: Click on the check box under the Display - Print heading if you wish the line separator to be displayed in bold type.

Print in New Column: If you have indicated two or more columns in the Page Layout, Number of Columns option, then click on the check box under the Print heading if you wish each Procedure (function or sub) to start printing atop a new column.

Print on New Page: Click on the check box under the Print heading if you wish each procedure (function or sub) to start printing atop a new page.

Orphan(1-10): An orphan is a procedure that would normally begin to print near the bottom of a page, and then continue on the following page. Setting the Orphan value (1 to 10 lines) prevents a procedure from being partially printed on the bottom of a page by the number of lines entered.

Note: You might select any one of the Orphan, Print on New Page or Print in New Column options, but no two of them together.

Statements:

Auto-Indent: Click on this option box if you wish to standardize indentations in the printed output.

Amount (0 to 10 spaces): If you have selected the Auto-Indent option, enter the desired number of spaces in the text box provided. A setting of zero equates to a common text alignment along the left margin. A positive setting will cause Pretty Printer to indent based upon the contents of the code. At the start of a control structure ( i.e. Do, For, block If, etc.), the indented spacing increases by one level, while at the end of a control structure ( i.e. Loop, Next, End If) the indented spacing decreases by one level. Code within the structure is indented base on the value you entered in the text box times the indent level determined by Pretty Printer. (EXAMPLE)

Connectors: Click on the check box under Display - Print if you wish to insert lines connecting For/Next, Do/Loop, If/ElseIf/Else/EndIf, etc. You may use connectors in this way to highlight loop and logic code statements, making it easier to track down hard to find errors. Connectors are displayed/printed in the same color as keywords. Use of connectors on poorly indented code may produce unpredictable results.

Continuations:

Keep if Found: Some dialects of Basic have continuations. Click on the check box under the Display - Print heading if you wish the existing format to be maintained.

Delete if Found: Click on the check box under the Display - Print heading if you wish existing continuations to be ignored, and the code lines combined.

Generate if Needed (default): If these check boxes are marked ("x"), and if a code statement exceeds the display, page or column width, Pretty Printer will generate a continuation.


Viewing Options
Option - Viewing Options:

 To change the viewing defaults, click on the Option Menu, then select View. A viewing option screen will appear with the following choices:

  Pretty Printer View Option Screen

Code (default): Click on the option button under Display - Print if you wish to view/print code without Form Definition Statements.

Form Definition Statements: Click on this option button if you wish to view only Visual Basic's definition code for forms and controls.

Both: Click on this option button if you wish to view both of the above.


Troubleshooting - Technical Support

General Information:

AARDVARK Software offers a variety of support options to help you get the most from Pretty Printer for Windows. This section summarizes these options. If you have a procedural question about Pretty Printer, use this file's search utility to look for possible solutions. Also, using any ASCII text editor, open the README.TXT in the directory where VBPP.EXE was installed to check out our New Features, System Requirements, Upgrading From Previous Versions, Compatibility Issues, and the Most Frequently Asked Questions about Pretty Printer.

If you need technical assistance beyond what this help file, or what the README.TXT file can provide, contact us by:

CompuServe: GO AARDVARK, 24 Hours-A-Day.

Fax: 1-201-833-1216, 24 Hours-A-Day.

Voice: 1-608-274-7159, Monday through Friday, 8:00 AM to 5:00 PM Central Time Zone.

E-mail: 73173.1137@compuserve.com, 24 Hours-A-Day

When requesting assistance by e-mail or fax please let us know how to reach you with our reply. Also, please send the following information that we may serve you better. DOS manufacturer and version, Windows version, printer make and model, print driver name and version, screen mode (VGA, SVGA, resolution, colors, driver). If you think Pretty Printer is causing GPFs, sending the Dr. Watson log record would be helpful.

Overview of Program Logic:

Pretty Printer is a single pass system. Program flow is as follows:

Program Initialization. Start-up parameters are read from the VBPP.INI file found in the Windows directory. If the file does not exist, default values are used, and a VBPP.INI file will be created. The selected printer, screen fonts and colors are obtained from the INI file, or from defaults. They are then validated against the current Windows default printer and screen display. If they are invalid, a message is displayed. Display or printer fonts may have become invalid due to manual editing of the VBPP.INI file, the users de-installation of fonts, a change of print/video drivers, or the changing to a different printer. The print functions are disabled if any of the printer fonts are invalid or there is no default printer specified in Windows. The current version of VBPP.INI sets switches as Yes/No. Older versions (2.0 production and below) set switches as a "-1" or a "0". The current version reads either properly, but older versions interpret "Yes" and "No" as false.

If unable to initialize the program, try renaming VBPP.INI to OLDVBPP.INX. Then restart the program. If that solves the problem, we want the OLDVBPP.INX file, along with an explanation of the problem.

BASICLAN.KEY. This file consists of over six hundred words that must remain in upper case ASCII sequence. If the file is corrupted (out of sequence), processing is terminated. User modification of this file can cause unpredictable results.

When the user selects one or more files to process, the selected file(s) are opened sequentially. The file is validated as a Visual Basic text-mode file. Even if it fails validation, the user may elect to process it. (We want to know about any 'good' file that fails validation.) Records are read from the file until the display is filled (about 20 lines). Additional lines are read as the display is scrolled or Print is requested.

If Print Setup is chosen, a different printer may be selected and its attributes may be changed. The new printer becomes the default for all applications, not just Pretty Printer.

If the printing is a problem, is the display OK? If the display is OK, check that the printer options are correct. If the options are OK, there could be problems with the printer or even other device drivers (like video drivers causing printer problems). Updating drivers to the latest versions has fixed all sorts of odd printing problems.

Please send us your comments, suggestions and bug reports. If you like what we do, please tell your friends. If you don't like what we do, please tell us.


License and Warranty
AARDVARK SOFTWARE INC. LICENSE AGREEMENT AND LIMITED PRODUCT WARRANTY

Please read this Agreement. Your opening of the software packet (the "Software") or use of the Software will indicate your acceptance. If you do not agree with these terms and conditions, you should promptly return the complete package for a full refund.

AARDVARK provides this Software and licenses its use to you. You are responsible for selecting the Software to achieve your intended results and for the installation, use and results obtained from the Software. The Software, including its code, documentation, appearance, structure and organization, is a proprietary product of AARDVARK and is protected by copyright and other laws. Title to the Software, or any copy, modification or merged portion of the Software, shall at all times remain with AARDVARK.

This License entitles you to:

1. Use the Software only on a single computer for your own individual use. If you alternately use several computers (for example, a laptop and a desktop), you may install the Software on each of them as long as it is never used on more than one simultaneously.

2. Make a reasonable number of copies of the Software for backup or archival purposes.

3. Transfer the Software, together with this License, to another person, but only if the other person agrees to accept the terms and conditions of this Agreement. If you transfer the Software and the License, you must, at the same time, either transfer all copies of the Software and its documentation to the same person or destroy those not transferred.

Limited Warranty

EXCEPT AS SPECIFICALLY SET FORTH IN THIS AGREEMENT, THE SOFTWARE IS LICENSED AND PROVIDED ON AN "AS IS" BASIS, WITHOUT ANY KIND OF WARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

AARDVARK warrants that the Software will substantially perform the functions or generally conform to the Software's specifications published by AARDVARK. AARDVARK does not warrant that the functions contained in the Software will meet your requirements or that the operation of the Software will be entirely error free or appear precisely as described in the Software documentation.

Remedies and Liabilities

If you are not completely satisfied with the Software, AARDVARK's entire liability, and your exclusive remedy, shall be that you may return the Software (including all copies and documentation you may have relating thereto) within 90 days of your purchase, and obtain a complete refund.

In no event will AARDVARK be liable for any damages, including lost profits, lost savings, or other direct, indirect, incidental or consequential damages, arising out of the use or inability to use the Software, even if AARDVARK or a dealer authorized by AARDVARK had been advised of the possibility of such damages.

General

If any provision of this Agreement is held to be unenforceable, the enforceability of the remaining provisions shall in no way be affected or impaired thereby. This Agreement shall be governed by the laws of the State of New Jersey.


Help Menu
Help Menu:

Context-Sensitive Help: To Display the Help Topic for a specific Pretty Printer form, depress the F1 function key.

Contents: Click on the Help, Contents (Alt+H, C) menu item to view the Table Of Contents for this file.

Search for Help On...: Click on the Help, Search For Help On... (Alt+S) menu item to call the Help Search Utility. For instructions on the use of the Search Utility see Help On Help below.

Help On Help: Click on Help, Help On Help (Alt+H, H) to call the Windows tutorial Help On Help file.

About Menu: Click on the Help, About (Alt+H, A) menu item to see Pretty Printer program and copyright information.


Comments: The Rem Statement, indicated by the KeyWord Rem or a leading apostrophe ('), is used to include explanatory remarks within a code procedure. Rem Statements do not do not affect program function.


Identifiers: Names of user variables, labels, forms, controls, and data types.


KeyWords: Words or phrases that define Visual Basic objects, functions, statements, methods, properties, and events. Examples: Dim, For, InStr$, Val, Do, etc.


Page Head(er)s: Pretty Printer output listing header.


Literals: These are control coordinates, Msgbox$ text, variable equivalents, etc.


ASCII (American Standard Code for Information Interchange):

An ASCII file's contents are (mostly) printable and recognizable text, as opposed to a binary file which generally contains coded characters. As applied to Visual Basic, there are two methods of storing Visual Basic programs on disk. The binary format offers faster loading time (in the integrated development environment). However, if corrupted, there is no easy way to recover the file's data, and GPFs may result. The ASCII format allows accessibility by most text editors and word processors, as well accessibility by various tools that Microsoft and third party vendors produce, such as the Setup Wizard utility.


Portrait Orientation:


Landscape Orientation:


Example: Setting = 5.

     If value% = True Then  (5 spaces)

          assets% = money%  (10 spaces)

          If assets% = money% Then  (10 spaces)

               IOU$ = due$  (15 spaces)

          End If  (10 spaces)

          loan$ = debt$  (10 spaces)

     End If  (5 spaces)


File Format: Pretty Printer prints ASCII text files. The Visual Basic Programmer's Guide outlines the very real advantages of saving your code files in text format, and is worth reading. To get your code into text format do one of the following:

For a new project, go to the Visual Basic Options Menu - Environment Dialog Box. Select the option to save all of your project's code in text format. To convert existing code files saved in binary format, go to the Visual Basic File Menu - Save File As dialog box, and save the file using standard Windows conventions. If you do not want to convert all of your code files to text format, you may use the File Menu - Save Text menu item to save a copy of any individual file for use with Pretty Printer.


Project File: A project file (*.MAK) is an ASCII text file that lists all the components of any Visual Basic Project, as well as the environmental options.


About
Copyright 1995 by:


Continuations:

Continuations are used to break a line of code into smaller elements, and still have the code execute as intended.  Microsoft Visual Basic for Windows versions 3.0 and below do not support code line continuations. However, some other Basic dialects use line continuations, and Pretty Printer attempts to process these. Also, it is common practice for any code to be printed using line continuations.

A code line continuation is marked by a space followed by the underscore character at the end of the broken code line.

Example:

Without: mnuBlank.Caption = Space$(3) + Str$(Date) + Space$(3) + Format$(Now, "hh:mm")

With: mnuBlank.Caption = Space$(3) + Str$(Date) + Space$(3) _

          + Format$(Now, "hh:mm")


Default Extensions:

You may add to, or change the default File Extensions lists by selecting the File Extensions Option from the Options Menu.  To add to a list type the extension in the appropriate combo box, then depress the Enter key.  You may remove an extension by highlighting it with the mouse, then depressing the Delete key.


Parsing: To break a code line down into its component parts, identifying declarations, keywords, literals, etc.  Then to assign default and / or user selected format, color and font attributes to those same component parts.